- Qt 5.15
- Qt 3D
- C++ Classes
- QText2DEntity
- Qt 5.15.11 Reference Documentation

# QText2DEntity Class

class Qt3DExtras::QText2DEntity

QText2DEntity allows creation of a 2D text in 3D space. More...

Header: | #include <Qt3DExtras/QText2DEntity>
qmake: | QT += 3dextras
Instantiated By: | Text2DEntity
Inherits: | Qt3DCore::QEntity

- List of all members, including inherited members

## Properties

- color : QColor
- font : QFont
- height : float

- text : QString
- width : float

## Public Functions

QColor | color() const
QFont | font() const
float | height() const
void | setColor(const QColor &color)
void | setFont(const QFont &font)
void | setHeight(float height)
void | setText(const QString &text)
void | setWidth(float width)
QString | text() const
float | width() const

## Signals

void | colorChanged(const QColor &color)
void | fontChanged(const QFont &font)
void | heightChanged(float height)
void | textChanged(const QString &text)
void | widthChanged(float width)

## Detailed Description

The QText2DEntity renders text as triangles in the XY plane. The geometry will be fitted in the rectangle of specified width and height. If the resulting geometry is wider than the specified width, the remainder will be rendered on the new line.

The entity can be positionned in the scene by adding a transform component.

QText2DEntity will create geometry based on the shape of the glyphs and a solid material using the specified color.

## Property Documentation

### color : QColor

Holds the color for the text item that is displayed in the Qt Quick scene.

Access functions:

QColor | color() const
void | setColor(const QColor &color)

Notifier signal:

void | colorChanged(const QColor &color)

### font : QFont

Holds the font for the text item that is displayed in the Qt Quick scene.

Access functions:

QFont | font() const
void | setFont(const QFont &font)

Notifier signal:

void | fontChanged(const QFont &font)

### height : float

Returns the height of the text item that is displayed in the Qt Quick scene.

Access functions:

float | height() const
void | setHeight(float height)

Notifier signal:

void | heightChanged(float height)

### text : QString

Holds the text that is displayed in the Qt Quick scene.

Access functions:

QString | text() const
void | setText(const QString &text)

Notifier signal:

void | textChanged(const QString &text)

### width : float

Returns the width of the text item that is displayed in the Qt Quick scene.

Access functions:

float | width() const
void | setWidth(float width)

Notifier signal:

void | widthChanged(float width)